View Issue Details

IDProjectCategoryView StatusLast Update
0004828Talerexchangepublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004828: 100% CPU eaten
DescriptionThe backend repeatedly asks /keys to exchange, even if it gets them
right. That causes a ~ 100% CPU usage.
Additional InformationThat has only be noticed on my personal laptop.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-12-02 11:49

manager   ~0011561

Last edited: 2016-12-02 11:51

View 2 revisions

That's due to some misconfiguration that makes the 'Expires:' HTTP response
header from "/keys" being set to 'now'.

Marcello Stanisci

2016-12-04 00:16

manager   ~0011563

Last edited: 2016-12-04 00:18

View 2 revisions

The fault was on *exchange's* code: the routine that sscanf's the
HTTP "Expire: " header didn't allocate the extra byte for the null-termination
of parsed strings. So unexpected variables got overwritten by the null-terminator, with the result of breaking the next reload of /keys.

Marcello Stanisci

2016-12-04 00:19

manager   ~0011564

Fixed in eab7bb7 (exchange codebase)

Issue History

Date Modified Username Field Change
2016-12-02 10:07 Marcello Stanisci New Issue
2016-12-02 10:07 Marcello Stanisci Status new => assigned
2016-12-02 10:07 Marcello Stanisci Assigned To => Marcello Stanisci
2016-12-02 10:08 Marcello Stanisci Product Version => SVN HEAD
2016-12-02 11:49 Marcello Stanisci Note Added: 0011561
2016-12-02 11:51 Marcello Stanisci Note Edited: 0011561 View Revisions
2016-12-04 00:08 Marcello Stanisci Category mechant backend => exchange
2016-12-04 00:16 Marcello Stanisci Note Added: 0011563
2016-12-04 00:18 Marcello Stanisci Note Edited: 0011563 View Revisions
2016-12-04 00:19 Marcello Stanisci Status assigned => resolved
2016-12-04 00:19 Marcello Stanisci Resolution open => fixed
2016-12-04 00:19 Marcello Stanisci Note Added: 0011564
2017-01-16 10:19 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed